CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000403CEGUIRenderer modulespublic2010-10-08 10:092011-02-13 20:22
ReporterCrazyEddie 
Assigned ToCrazyEddie 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.7.2 
Target VersionFixed in VersionMercurial: default branch 
Summary0000403: D3D9 Renderer sets invalid scissor rect areas
DescriptionSee: http://www.cegui.org.uk/phpBB2/viewtopic.php?f=2&t=5181 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000536)
CrazyEddie (administrator)
2011-02-13 12:06

This is casued by an uninitialised member variable that holds the clip rect area.
(0000537)
CrazyEddie (administrator)
2011-02-13 13:04

While the clip rect area was indeed unitialised, that's not the cause of this issue.

While a 'fix' to validate / constrain the area to valid values is certainly possible - and will likely happen - I need to first understand why there is different behaviour in Debug vs Release builds, in order that I am not just fixing a symptom rather than the real problem...
(0000539)
CrazyEddie (administrator)
2011-02-13 20:22

This should be resolved in mercurial v0-7 branch: http://crayzedsgui.hg.sourceforge.net/hgweb/crayzedsgui/cegui_mk2/rev/6e6da68c1665 [^]

I addressed this by not only ensuring that it's impossible to set a negative scissor rect, but also by eliminating the source of these negative values.

- Issue History
Date Modified Username Field Change
2010-10-08 10:09 CrazyEddie New Issue
2011-02-06 18:08 CrazyEddie Status new => assigned
2011-02-06 18:08 CrazyEddie Assigned To => CrazyEddie
2011-02-13 12:06 CrazyEddie Note Added: 0000536
2011-02-13 12:06 CrazyEddie Status assigned => confirmed
2011-02-13 13:04 CrazyEddie Note Added: 0000537
2011-02-13 20:22 CrazyEddie Note Added: 0000539
2011-02-13 20:22 CrazyEddie Status confirmed => resolved
2011-02-13 20:22 CrazyEddie Fixed in Version 0.8.3 => Mercurial: default branch
2011-02-13 20:22 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker